For the complete documentation index, see llms.txt. This page is also available as Markdown.

Alerts

This guide will help you fetch metrics and dimensions used to compile Smartsight Alerts dashboard.

AI Alerts GET

Returns the AI alerts.

curl 'https://smartsight3.mediamelon.com/mm-apis/getAIAlerts/<customer-id>?planlevel=<level>&period=start=1729666800,end=1730271600'
-x GET --header 'Authorization: Bearer <access_token>'

If you run this request yourself it will not work, you should replace the <access_token> in this example with your own Keycloak access_token you get by running Fetch Auth Token

Required request path parameters

customer-id string

A path parameter in form of a string. This is the unique identifier and you will be able to find this Id on your user profile page.

Required request query parameters

planlevelstring

A query parameter in form of a string. This is the plan identifier number associated with CustomerID and you will be able to find this plan level using https://smartsight.mediamelon.com/planLevelByCustId/<customer-id>

period string

A query parameter in comma-separated string format. It needs to in the format of start date and end date (eg: start=1729666800,end=1730271600) in epoch time. For reference, use this Epoch Time converter

Response

GET 200
[
    {
        "timestamp": 1727769181,
        "alertname": "BUFFERINGRATIO3",
        "qoename": "Buffering Ratio",
        "email_address": "vinayakd@mediamelon.com",
        "total_anomalies": 1,
        "starttime": 1727725976,
        "endtime": 1727769176,
        "totalsession": 300716,
        "totalaffectedsession": 7179,
        "anomalydate": "01-10-2024",
        "totalpages": 310
    },
    .
    ..
    ...
    ....
    .....
    {
        "timestamp": 1730233480,
        "alertname": "FATALERROR4",
        "qoename": "Fatal Errors",
        "email_address": "vinayakd@mediamelon.com",
        "total_anomalies": 1,
        "starttime": 1730190279,
        "endtime": 1730233479,
        "totalsession": 145606,
        "totalaffectedsession": 2328,
        "anomalydate": "29-10-2024",
        "totalpages": 310
    }
]

Last updated